<?php

namespace App\Entity;

use App\Repository\DemandeurRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: DemandeurRepository::class)]
class Demandeur
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $LM = null;

    #[ORM\Column(length: 255)]
    private ?string $CV = null;

    #[ORM\Column(length: 255)]
    private ?string $Mail = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getLM(): ?string
    {
        return $this->LM;
    }

    public function setLM(string $LM): static
    {
        $this->LM = $LM;

        return $this;
    }

    public function getCV(): ?string
    {
        return $this->CV;
    }

    public function setCV(string $CV): static
    {
        $this->CV = $CV;

        return $this;
    }

    public function getMail(): ?string
    {
        return $this->Mail;
    }

    public function setMail(string $Mail): static
    {
        $this->Mail = $Mail;

        return $this;
    }
}
